org.apache.tinkerpop.gremlin.jsr223

## Class DefaultImportCustomizer.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.DefaultImportCustomizer.Builder

- Enclosing class:
    DefaultImportCustomizer

      public static class DefaultImportCustomizer.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultImportCustomizer.Builder` | `addClassImports(Class... clazz)` Adds classes that will be imported to the `ScriptEngine`.
    `DefaultImportCustomizer.Builder` | `addClassImports(Collection<Class> classes)` Overload to `addClassImports(Class[])`.
    `DefaultImportCustomizer.Builder` | `addEnumImports(Collection<Enum> enums)` Overload to `addEnumImports(Enum[])`.
    `DefaultImportCustomizer.Builder` | `addEnumImports(Enum... e)` Adds methods that are meant to be imported statically to the engine.
    `DefaultImportCustomizer.Builder` | `addMethodImports(Collection<Method> methods)` Overload to `addMethodImports(Method...)`.
    `DefaultImportCustomizer.Builder` | `addMethodImports(Method... method)` Adds methods that are meant to be imported statically to the engine.
    `DefaultImportCustomizer` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addClassImports

          public DefaultImportCustomizer.Builder addClassImports(Class... clazz)

      Adds classes that will be imported to the `ScriptEngine`.

    - #### addClassImports

          public DefaultImportCustomizer.Builder addClassImports(Collection<Class> classes)

      Overload to `addClassImports(Class[])`.

    - #### addMethodImports

          public DefaultImportCustomizer.Builder addMethodImports(Method... method)

      Adds methods that are meant to be imported statically to the engine. When adding methods be sure that the classes of those methods are added to the `addClassImports(Class[])` or `addClassImports(Collection)`. If they are not added then the certain `ScriptEngine` instances may have problems importing the methods (e.g. gremlin-python).

    - #### addMethodImports

          public DefaultImportCustomizer.Builder addMethodImports(Collection<Method> methods)

      Overload to `addMethodImports(Method...)`.

    - #### addEnumImports

          public DefaultImportCustomizer.Builder addEnumImports(Enum... e)

      Adds methods that are meant to be imported statically to the engine. When adding methods be sure that the classes of those methods are added to the `addClassImports(Class[])` or `addClassImports(Collection)`. If they are not added then the certain `ScriptEngine` instances may have problems importing the methods (e.g. gremlin-python).

    - #### addEnumImports

          public DefaultImportCustomizer.Builder addEnumImports(Collection<Enum> enums)

      Overload to `addEnumImports(Enum[])`.

    - #### create

          public DefaultImportCustomizer create()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.